NX Open C++ Reference Guide
|
Represents a GeometricUtilities::BoundingObjectBuilder. More...
Public Types | |
enum | Method { MethodExistingCurve, MethodProjectPoint, MethodLineBy2Points, MethodPointAndVector, MethodByPlane } |
Represents Bounding Object option types. More... | |
Public Member Functions | |
NXOpen::SelectDisplayableObject * | BoundingCurve () |
Returns the existing bounding curve. | |
NXOpen::GeometricUtilities::BoundingObjectBuilder::Method | BoundingObjectMethod () |
Returns the bounding object method Created in NX7.5.1. | |
NXOpen::Plane * | BoundingPlane () |
Returns the bounding plane. | |
NXOpen::Point * | BoundingPoint () |
Returns the bounding point. | |
NXOpen::Point * | BoundingPoint1 () |
Returns the bounding point1. | |
NXOpen::Point * | BoundingPoint2 () |
Returns the bounding point2. | |
NXOpen::Point * | BoundingProjectPoint () |
Returns the bounding project point. | |
NXOpen::Direction * | BoundingVector () |
Returns the bounding vector. | |
NXOpen::Point * | IntersectionReference () |
Returns the intersection reference Created in NX7.5.1. | |
void | SetBoundingObjectMethod (NXOpen::GeometricUtilities::BoundingObjectBuilder::Method boundingObjectMethod) |
Sets the bounding object method Created in NX7.5.1. | |
void | SetBoundingPlane (NXOpen::Plane *plane) |
Sets the bounding plane. | |
void | SetBoundingPoint (NXOpen::Point *point) |
Sets the bounding point. | |
void | SetBoundingPoint1 (NXOpen::Point *point1) |
Sets the bounding point1. | |
void | SetBoundingPoint2 (NXOpen::Point *point2) |
Sets the bounding point2. | |
void | SetBoundingProjectPoint (NXOpen::Point *projectPoint) |
Sets the bounding project point. | |
void | SetBoundingVector (NXOpen::Direction *vector) |
Sets the bounding vector. | |
void | SetIntersectionReference (NXOpen::Point *intersectionReference) |
Sets the intersection reference Created in NX7.5.1. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a GeometricUtilities::BoundingObjectBuilder.
Created in NX7.5.1.
NXOpen::SelectDisplayableObject* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingCurve | ( | ) |
Returns the existing bounding curve.
This is applicable for GeometricUtilities::BoundingObjectBuilder::MethodExistingCurve
Created in NX7.5.1.
License requirements : None
NXOpen::GeometricUtilities::BoundingObjectBuilder::Method NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingObjectMethod | ( | ) |
Returns the bounding object method
Created in NX7.5.1.
License requirements : None
NXOpen::Plane* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingPlane | ( | ) |
Returns the bounding plane.
This is applicable for GeometricUtilities::BoundingObjectBuilder::MethodByPlane
Created in NX7.5.1.
License requirements : None
NXOpen::Point* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingPoint | ( | ) |
Returns the bounding point.
This is applicable for GeometricUtilities::BoundingObjectBuilder::MethodPointAndVector
Created in NX7.5.1.
License requirements : None
NXOpen::Point* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingPoint1 | ( | ) |
Returns the bounding point1.
This represents first bounding point. This is applicable for GeometricUtilities::BoundingObjectBuilder::MethodLineBy2Points
Created in NX7.5.1.
License requirements : None
NXOpen::Point* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingPoint2 | ( | ) |
Returns the bounding point2.
This represents second bounding point. This is applicable for GeometricUtilities::BoundingObjectBuilder::MethodLineBy2Points
Created in NX7.5.1.
License requirements : None
NXOpen::Point* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingProjectPoint | ( | ) |
Returns the bounding project point.
This is applicable for GeometricUtilities::BoundingObjectBuilder::MethodProjectPoint
Created in NX7.5.1.
License requirements : None
NXOpen::Direction* NXOpen::GeometricUtilities::BoundingObjectBuilder::BoundingVector | ( | ) |
Returns the bounding vector.
This is applicable for GeometricUtilities::BoundingObjectBuilder::MethodPointAndVector
Created in NX7.5.1.
License requirements : None
NXOpen::Point* NXOpen::GeometricUtilities::BoundingObjectBuilder::IntersectionReference | ( | ) |
Returns the intersection reference
Created in NX7.5.1.
License requirements : None
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingObjectMethod | ( | NXOpen::GeometricUtilities::BoundingObjectBuilder::Method | boundingObjectMethod | ) |
Sets the bounding object method
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
boundingObjectMethod | boundingobjectmethod |
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingPlane | ( | NXOpen::Plane * | plane | ) |
Sets the bounding plane.
This is applicable for GeometricUtilities::BoundingObjectBuilder::MethodByPlane
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
plane | plane |
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingPoint | ( | NXOpen::Point * | point | ) |
Sets the bounding point.
This is applicable for GeometricUtilities::BoundingObjectBuilder::MethodPointAndVector
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
point | point |
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingPoint1 | ( | NXOpen::Point * | point1 | ) |
Sets the bounding point1.
This represents first bounding point. This is applicable for GeometricUtilities::BoundingObjectBuilder::MethodLineBy2Points
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
point1 | point1 |
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingPoint2 | ( | NXOpen::Point * | point2 | ) |
Sets the bounding point2.
This represents second bounding point. This is applicable for GeometricUtilities::BoundingObjectBuilder::MethodLineBy2Points
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
point2 | point2 |
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingProjectPoint | ( | NXOpen::Point * | projectPoint | ) |
Sets the bounding project point.
This is applicable for GeometricUtilities::BoundingObjectBuilder::MethodProjectPoint
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
projectPoint | projectpoint |
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetBoundingVector | ( | NXOpen::Direction * | vector | ) |
Sets the bounding vector.
This is applicable for GeometricUtilities::BoundingObjectBuilder::MethodPointAndVector
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
vector | vector |
void NXOpen::GeometricUtilities::BoundingObjectBuilder::SetIntersectionReference | ( | NXOpen::Point * | intersectionReference | ) |
Sets the intersection reference
Created in NX7.5.1.
License requirements : solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")
intersectionReference | intersectionreference |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.